<? include('checkcookie.php'); ?>
<h3>Просмотр заданий</h3>
<br>



<?
if(!isset($_POST["action"]) or $_POST["action"]=="cfg")
{
$res=mysql_query("select count(*) as kolvo1 from seelf_task");
$res=mysql_fetch_array($res);
$alltask=$res["kolvo1"];

if($alltask=='0')
{
	exit();
}

$pages=$alltask/100;
$pages1=floor($pages);

if($pages>$pages1)
{
	$pages=$pages1+1;
}

if($_POST["page"]!="")
{
	$page=$_POST["page"];
}else{
	$page='1';
}

$p1=100*($page-1);
$p2=100*$page-1;

?>
<font color=#ff0000>Задания сортируются по стоимости. Чем выше оплата за выполнение задания, тем выше в списке задание</font><br>
<table width="100%" cellspacing="0" cellpadding="0">
<tr>
	<th>№</th>
	<th>Задание</th>
	<th>Оплата</th>
	<th>Осталось</th>
	<th>Подтверждено</th>
	<th>Отклонено</th>
	<th>Ожидают</th>
	<th></th>
</tr>
<?
$res=mysql_query("select * from seelf_task order by credits asc limit $p1,$p2");
while($row=mysql_fetch_array($res))
{
	echo "<tr class='liney ell' bgcolor=".$row["hltask"]."><td align=center>".$row["id"]."</td><td align=left><b>Название: </b>".$row["title"]."<br>
	<b>Рекламодатель: </b>".$row["namep"]."<br></td><td align=center>".
	$row["pay"]."</td><td align=center>".$row["credits"]."</td><td align=center><font color=#00cc00><b>".$row["good"]."</b></font></td>
	<td align=center><font color=#ff0000><b>".$row["bad"]."</b></font></td><td align=center><font color=#666666><b>".$row["inprogress"]."</b>
	</font></td><td align=center>";

	?>
	<form action="" method="post">
	<input type="hidden" value="<?=$row["id"]?>" name="id">
	<input type="hidden" value="deletetask" name="action">
	<input type="submit" value="Удалить">
	</form>
	<?

	echo "</td></tr>";
}
echo "</table><br>";

echo "<b>Текущая страница $page из $pages</b><br>
	<font action='' method=post>
	<select name='page'>";
for($i=1;$i<=$pages;$i++)
{
	echo "<option value='$i'>$i</option>";
}

echo "</select>
	<input type=submit value='Перейти'></form><br><br>";
}

if($_POST["action"]=="deletetask")
{
	$id=$_POST["id"];
	$res=mysql_query("select kolvo from seelf_task where id='$id'");
	$res=mysql_fetch_array($res);

	mysql_query("delete from seelf_task where id='$id'");
	echo "<font color=#00cc00><b>Задание удалено</b></font>";
} ?>